Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

## Class DateAndDateTime2Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_09.DateAndDateTime2Choice

    public class DateAndDateTime2Choice
    extends java.lang.Object

Java class for DateAndDateTime2Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateAndDateTime2Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISODate"/>
             <element name="DtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISODateTime"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected javax.xml.datatype.XMLGregorianCalendar` `dt`
`protected javax.xml.datatype.XMLGregorianCalendar` `dtTm`

### Constructor Summary

Constructors
`DateAndDateTime2Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.datatype.XMLGregorianCalendar` `getDt()` Gets the value of the dt property.
`javax.xml.datatype.XMLGregorianCalendar` `getDtTm()` Gets the value of the dtTm property.
`void` `setDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the dt property.
`void` `setDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the dtTm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dt

    protected javax.xml.datatype.XMLGregorianCalendar dt

#### dtTm

    protected javax.xml.datatype.XMLGregorianCalendar dtTm

### Constructor Detail

#### DateAndDateTime2Choice

    public DateAndDateTime2Choice()

### Method Detail

#### getDt

    public javax.xml.datatype.XMLGregorianCalendar getDt()

Gets the value of the dt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setDt

    public void setDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the dt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getDtTm

    public javax.xml.datatype.XMLGregorianCalendar getDtTm()

Gets the value of the dtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setDtTm

    public void setDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the dtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`